#
# spec file for package dri2proto
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dri2proto
Version:        2.8
Release:        1.22
Url:            http://xorg.freedesktop.org/
Summary:        The X11 Protocol: Direct Rendering Infrastructure 2 extension
License:        MIT
Group:          Development/Libraries/X11

#Git-Clone:	git://anongit.freedesktop.org/xorg/proto/dri2proto
#Git-Web:	http://cgit.freedesktop.org/xorg/proto/dri2proto/
Source:         http://xorg.freedesktop.org/releases/individual/proto/%name-%version.tar.bz2
#BuildRequires:  autoconf >= 2.60
#BuildRequires:  automake
#BuildRequires:  pkgconfig(xorg-macros) >= 1.3
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The DRI2 protocol headers for X11 development.
This extension defines a protocol to securely allow user applications
to access the video hardware without requiring data to be passed
through the X server.

%package devel
Summary:        The X11 Protocol: Direct Rendering Infrastructure 2 extension
Group:          Development/Libraries/X11

# Added within the 13.2 Development Cycle
Provides:       xorg-x11-proto-devel:%_libdir/pkgconfig/dri2proto.pc

%description devel
The DRI2 protocol headers for X11 development.
This extension defines a protocol to securely allow user applications
to access the video hardware without requiring data to be passed
through the X server.

%prep
%setup -q

%build
#autoreconf -fi
%configure
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"

%files devel
%defattr(-,root,root)
%doc COPYING
%doc %_datadir/doc/*
%_includedir/X11/extensions/
%_libdir/pkgconfig/*.pc

%changelog
* Thu Sep 18 2014 jengelh@inai.de
- Update description and other metadata
- Use full %%configure for build, and remove CFLAGS (nothing is
  compiled)
- Make file list more compact
* Mon Apr 28 2014 sndirsch@suse.com
- added COPYING file to docs
* Thu Apr 24 2014 tobias.johannes.klausmann@mni.thm.de
- Created package dri2proto with initial version 2.8
